Crashpad

Public Attributes | List of all members
crashpad::internal::UserDataMinidumpStreamListEntry Struct Reference

A linked list of blocks representing custom streams in the minidump, with addresses (and size) stored as uint64_t to simplify reading from the handler process. More...

`#include "client/crashpad_info.h"`

## Public Attributes
uint64_t | next
| The address of the next entry in the linked list.
uint64_t | base_address
| The base address of the memory block in the target process' address space that represents the user data stream.
uint64_t | size
| The size of memory block in the target process' address space that represents the user data stream.
uint32_t | stream_type
| The stream type identifier.

## Detailed Description

A linked list of blocks representing custom streams in the minidump, with addresses (and size) stored as uint64_t to simplify reading from the handler process.

The documentation for this struct was generated from the following file:

- client/crashpad_info.h